"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* istanbul ignore file */
const pointer = require("json-pointer");
const ts_custom_error_1 = require("ts-custom-error");
class CircularReferenceError extends ts_custom_error_1.CustomError {
    constructor(references) {
        super(`Circular reference found at "${pointer.compile(references)}"'`);
        this.references = references;
        this.path = pointer.compile(this.references);
    }
}
exports.default = CircularReferenceError;
