"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* istanbul ignore file */
const pointer = require("json-pointer");
const ts_custom_error_1 = require("ts-custom-error");
class InvalidValueError extends ts_custom_error_1.CustomError {
    constructor(message, value, references) {
        super(`Invalid value at "${pointer.compile(references)}" (${message}})`);
        this.references = references;
        this.value = value;
        this.path = pointer.compile(this.references);
    }
}
exports.default = InvalidValueError;
